summaryrefslogtreecommitdiff
path: root/SCAN-SSA/run.sh
diff options
context:
space:
mode:
authorDaniel Friesel <daniel.friesel@uos.de>2023-05-17 14:49:41 +0200
committerDaniel Friesel <daniel.friesel@uos.de>2023-05-17 14:49:41 +0200
commitce1e6a89d294507a21cc27bae1cba22a7af68a8c (patch)
tree5b7660a5217fd89be0414a0818558d15a8580746 /SCAN-SSA/run.sh
parent8a285f9058eae3dd9d832c5f76b1045cbb457782 (diff)
port SCAN-SSA to dfatool
Diffstat (limited to 'SCAN-SSA/run.sh')
-rwxr-xr-xSCAN-SSA/run.sh32
1 files changed, 24 insertions, 8 deletions
diff --git a/SCAN-SSA/run.sh b/SCAN-SSA/run.sh
index 8ea8457..10dee20 100755
--- a/SCAN-SSA/run.sh
+++ b/SCAN-SSA/run.sh
@@ -1,11 +1,27 @@
#!/bin/bash
-for i in 2048 4096 8192 16384 65536 262144 1048576 3932160
-do
- NR_DPUS=1 NR_TASKLETS=16 BL=10 make all
- wait
- ./bin/host_code -w 10 -e 100 -i ${i} > profile/out${i}_tl16_bl10_dpu11
- wait
- make clean
- wait
+set -e
+
+# BL: use 2^(BL) B blocks for MRAM <-> WRAM transfers on PIM module
+# T: data type
+# -w: number of un-timed warmup iterations
+# -e: number of timed iterations
+# -i: input size (number of elements, not number of bytes!)
+
+echo "prim-benchmarks SCAN-SSA (dfatool edition)"
+echo "Started at $(date)"
+echo "Revision $(git describe --always)"
+
+for nr_dpus in 1 2 4 8 16 32 64 128 256 512; do
+ for nr_tasklets in 1 2 3 4 6 8 10 12 16 20 24; do
+ for i in 2048 4096 8192 16384 65536 262144 1048576 3932160; do
+ for dt in UINT32 UINT64 INT32 INT64 FLOAT DOUBLE; do
+ echo
+ if make -B NR_DPUS=${nr_dpus} NR_TASKLETS=${nr_tasklets} BL=10 TYPE=${dt} UNROLL=1 \
+ || make -B NR_DPUS=${nr_dpus} NR_TASKLETS=${nr_tasklets} BL=10 TYPE=${dt} UNROLL=0; then
+ bin/host_code -w 0 -e 100 -i ${i} || true
+ fi
+ done
+ done
+ done
done